aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig
diff options
context:
space:
mode:
authorLukas Bezdicka <lbezdick@redhat.com>2017-07-12 21:13:28 +0200
committerLukas Bezdicka <lbezdick@redhat.com>2017-07-13 12:14:24 +0200
commit1a544f66a51579180ead9deadc168d2a1a200719 (patch)
tree22f60a1fd7a410350f1365c1b060a8dba149c3b2 /extraconfig
parentf2b68a1d13a1b7357182cdbc07872f84dcade3c9 (diff)
Ensure yum cache is ready before update
To workaround yum bug with libnss we need to make yum cache before running update. In fact we should have done this regardless of the bug. Change-Id: I5b2355fb8abe3c8d4b9ce9c62b9ffdba8c1e8d9d Resolves: rhbz#1458841 Closes-Bug: #1703830
Diffstat (limited to 'extraconfig')
-rwxr-xr-xextraconfig/tasks/yum_update.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/extraconfig/tasks/yum_update.sh b/extraconfig/tasks/yum_update.sh
index 0c4a7928..5f5daf23 100755
--- a/extraconfig/tasks/yum_update.sh
+++ b/extraconfig/tasks/yum_update.sh
@@ -64,6 +64,9 @@ fi
command_arguments=${command_arguments:-}
+# Always ensure yum has full cache
+yum makecache || echo "Yum makecache failed. This can cause failure later on."
+
# yum check-update exits 100 if updates are available
set +e
check_update=$(yum check-update 2>&1)